Bug 517867 - The upgrade script should be conservative while inserting sun4v data to rhnServerPackageArchCompat
Summary: The upgrade script should be conservative while inserting sun4v data to rhnSe...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Upgrades
Version: 530
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Milan Zázrivec
QA Contact: Sayli Karmarkar
URL:
Whiteboard:
Depends On:
Blocks: 456986
TreeView+ depends on / blocked
 
Reported: 2009-08-17 15:36 UTC by Jan Pazdziora
Modified: 2009-08-27 17:39 UTC (History)
3 users (show)

Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-08-27 17:39:22 UTC


Attachments (Terms of Use)

Comment 1 Milan Zázrivec 2009-08-17 17:22:36 UTC
spacewalk.git master: 833a8a49c1ba06f70e3fdbfa2a6bcd2745ec8045
spacewalk.git VADER: 93503e2c8a90153e6cc9bd4ac72c36c92086fd05

Comment 3 Sayli Karmarkar 2009-08-18 21:49:21 UTC
verified.

On sat5.2:

[root@rlx-0-22 satiso]# satellite-sync --no-rpms --no-packages --no-errata --no-kickstarts -c rhel-i386-as-4
15:16:32 Red Hat Network Satellite - live synchronization
15:16:32    url: https://satellite.rhn.webqa.redhat.com
15:16:32    debug/output level: 1
15:16:32    db:  rhnsat/<password>@rhnsat
15:16:32 
15:16:32 Retrieving / parsing channel-families data
15:16:33 channel-families data complete
15:16:42 
15:16:42 Retrieving / parsing arches data
15:16:44 arches data complete
15:16:44 
15:16:44 Retrieving / parsing additional arches data
15:16:45 additional arches data complete
15:16:45 
15:16:45 Retrieving / parsing channel data
15:19:58    p = previously imported/synced channel
15:19:58    . = channel not yet imported/synced
15:19:58    base-channels:
15:19:58       . rhel-i386-as-4                           6849
15:19:58 
15:19:59 Channel data complete
15:19:59 
15:19:59 Retrieving / parsing blacklists data
15:19:59 blacklists data complete
15:19:59 
15:19:59 Retrieving / parsing product names data
15:20:00 product names data complete
15:20:00 No handler for step srpms
15:20:00 No handler for step source-packages
    Import complete:
        Begin time: Tue Aug 18 15:16:31 2009
        End time:   Tue Aug 18 15:20:00 2009
        Elapsed:    0 hours, 3 minutes, 28 seconds


SQL> select * from rhnServerPackageArchCompat where
  2   server_arch_id=LOOKUP_SERVER_ARCH('sparc-sun4v-solaris');

SERVER_ARCH_ID PACKAGE_ARCH_ID PREFERENCE CREATED   MODIFIED
-------------- --------------- ---------- --------- ---------
          1040             122        100 18-AUG-09 18-AUG-09
          1040             129        210 18-AUG-09 18-AUG-09
          1040             131        310 18-AUG-09 18-AUG-09
          1040             133        410 18-AUG-09 18-AUG-09
          1040             134        510 18-AUG-09 18-AUG-09
          1040             135        610 18-AUG-09 18-AUG-09
          1040             142         10 18-AUG-09 18-AUG-09

7 rows selected.


[root@rlx-0-22 satiso]# ./install.pl --upgrade

...
This portion of the RHN Satellite upgrade process has successfully completed.
Please refer to appropriate upgrade document in /etc/sysconfig/rhn/satellite-upgrade
for any remaining steps in the process.

[root@rlx-0-22 satiso]# /usr/bin/spacewalk-schema-upgrade
Schema upgrade: [rhn-satellite-schema-5.2.0-8] -> [satellite-schema-5.3.0.23-1.el4sat]
Searching for upgrade path: [rhn-satellite-schema-5.2.0-8] -> [satellite-schema-5.3.0.23-1]
Searching for upgrade path: [rhn-satellite-schema-5.2.0] -> [satellite-schema-5.3.0.23]
Searching for upgrade path: [rhn-satellite-schema-5.2] -> [satellite-schema-5.3.0]
Searching for upgrade path: [rhn-satellite-schema-5.2] -> [satellite-schema-5.3]
The path: [rhn-satellite-schema-5.2] -> [satellite-schema-5.3]
Planing to run sqlplus with [/var/log/spacewalk/schema-upgrade/20090818-173603-script.sql]
Hit Enter to continue or Ctrl+C to interrupt: 
Executing sqlplus, the logs are in /var/log/spacewalk/schema-upgrade/20090818-173603-*.
The database schema was upgraded to version [satellite-schema-5.3.0.23-1.el4sat].

Comment 4 Tomas Lestach 2009-08-21 12:42:03 UTC
Following test plan from #Description.
Schema upgrade
[rhn-satellite-schema-5.2.0-8] -> [satellite-schema-5.3.0.23-1.el4sat] 
successful.

Stage validated -> RELEASE_PENDING

Comment 5 Brandon Perkins 2009-08-27 17:39:22 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1235.html


Note You need to log in before you can comment on or make changes to this bug.